Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 586555 - Modification of volume size fails
Modification of volume size fails
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-lvm (Show other bugs)
5.6
All Linux
low Severity medium
: rc
: ---
Assigned To: Marek Grac
Cluster QE
:
Depends On: 584985 586556
Blocks: 603770
  Show dependency treegraph
 
Reported: 2010-04-27 16:42 EDT by Marek Grac
Modified: 2016-04-26 10:04 EDT (History)
9 users (show)

See Also:
Fixed In Version: system-config-lvm-1.1.5-6.el5
Doc Type: Bug Fix
Doc Text:
Prior to this update, an attempt to adjust the size of a logical volume failed, and a traceback was written to standard error. With this update, the size changes are applied, and relevant volumes are correctly remounted.
Story Points: ---
Clone Of: 584985
: 603770 (view as bug list)
Environment:
Last Closed: 2011-01-13 19:01:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0103 normal SHIPPED_LIVE system-config-lvm bug fix update 2011-01-12 12:21:07 EST

  None (edit)
Description Marek Grac 2010-04-27 16:42:22 EDT
+++ This bug was initially created as a clone of Bug #584985 +++

Description of problem:
I try to change size of a lvm volume with system-config-lvm and wondering if the option in settings dialog is therefore.


Version-Release number of selected component (if applicable):
system-config-lvm-1.1.12-2.fc13.noarch

How reproducible:
Always.

Steps to Reproduce:
1. Click on button "edit settings" of a lvm volume (for example "backup")
2. Change size of the volume (for example 10G -> 20G)
3. Click on OK
  
Actual results:
Nothing happens in the dialog, but in console you can see the traceback.

Expected results:
New size was applied and volume is remounted.

Additional info:
Traceback (most recent call last):
  File "/usr/share/system-config-lvm/InputController.py", line 1061, in on_edit_lv
    if dlg.run() == False:
  File "/usr/share/system-config-lvm/InputController.py", line 1351, in run
    if self.apply() == True:
  File "/usr/share/system-config-lvm/InputController.py", line 2150, in apply
    self.command_handler.mount(lv_path, tmp_mountpoint)
TypeError: mount() takes exactly 4 arguments (3 given)


Output of lvdisplay:

  --- Logical volume ---
  LV Name                /dev/vol/backup
  VG Name                vol
  LV UUID                X3VXrt-Unov-cVvN-hk1C-1cW9-SEDI-nRK4f5
  LV Write Access        read/write
  LV Status              available
  # open                 0
  LV Size                10,00 GiB
  Current LE             2560
  Segments               1
  Allocation             inherit
  Read ahead sectors     auto
  - currently set to     256
  Block device           253:1
   
  --- Logical volume ---
  LV Name                /dev/vol/vm
  VG Name                vol
  LV UUID                3kYzVd-WdKM-Klx1-t7TQ-fpmA-v2se-jyrrZm
  LV Write Access        read/write
  LV Status              available
  # open                 1
  LV Size                100,00 GiB
  Current LE             25600
  Segments               1
  Allocation             inherit
  Read ahead sectors     auto
  - currently set to     256
  Block device           253:2
   
  --- Logical volume ---
  LV Name                /dev/vg_spritty/lv_root
  VG Name                vg_spritty
  LV UUID                UN3Y9d-GvY2-eMqx-v6on-2qUG-YZzz-AqRjMq
  LV Write Access        read/write
  LV Status              available
  # open                 1
  LV Size                50,00 GiB
  Current LE             1600
  Segments               1
  Allocation             inherit
  Read ahead sectors     auto
  - currently set to     256
  Block device           253:0
   
  --- Logical volume ---
  LV Name                /dev/vg_spritty/lv_home
  VG Name                vg_spritty
  LV UUID                JCPUGD-8waM-ybtn-JW8M-GEgK-MmWu-FQ3Bxt
  LV Write Access        read/write
  LV Status              available
  # open                 1
  LV Size                176,78 GiB
  Current LE             5657
  Segments               1
  Allocation             inherit
  Read ahead sectors     auto
  - currently set to     256
  Block device           253:3
   
  --- Logical volume ---
  LV Name                /dev/vg_spritty/lv_swap
  VG Name                vg_spritty
  LV UUID                uRJ2gA-fq2t-30wJ-xyz2-4sxn-2aCC-gjhZhx
  LV Write Access        read/write
  LV Status              available
  # open                 1
  LV Size                5,59 GiB
  Current LE             179
  Segments               1
  Allocation             inherit
  Read ahead sectors     auto
  - currently set to     256
  Block device           253:4

--- Additional comment from raphgro@web.de on 2010-04-22 16:23:16 EDT ---

Created an attachment (id=408438)
/etc/fstab
Comment 6 Jaromir Hradilek 2010-12-01 09:27:20 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Prior to this update, an attempt to adjust the size of a logical volume failed, and a traceback was written to standard error. With this update, the size changes are applied, and relevant volumes are correctly remounted.
Comment 9 errata-xmlrpc 2011-01-13 19:01:43 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0103.html

Note You need to log in before you can comment on or make changes to this bug.